Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: ModPerl: ModPerl
Recent breakage: apache-1.3.9 + mod_perl-1.21 (APXS)
 

Index | Next | Previous | View Flat


sheldonh at uunet

Oct 26, 1999, 7:11 AM


Views: 876
Permalink
Recent breakage: apache-1.3.9 + mod_perl-1.21 (APXS)

Hi folks,

I'm moving the FreeBSD port for mod_perl from an httpd binary
replacement to a DSO addition using apxs.

I'm not sure what changed between 2 weeks ago and now, but I'm finding I
have to patch the apaci/configure file as follows:


--- apaci/configure.orig Tue Oct 26 15:23:06 1999
+++ apaci/configure Tue Oct 26 15:28:58 1999
@@ -70,7 +70,7 @@
echo "$0:Error: no 'apxs' program found, please provide it's path via --with-apxs" 1>&2
exit 1
fi
-my_apxs_cflags="`$my_apxs -q CFLAGS`"
+my_apxs_cflags="`$my_apxs -q CFLAGS | sed -e 's,\",\\\\",g'`"
my_apxs_includes="-I`$my_apxs -q INCLUDEDIR`"

# friendly header

Without this patch, perl_util.c blows up with a parsing error because
DEFAULT_PATH is taken as bare text without quotes. :-(

Any ideas?

Ciao,
Sheldon.

Subject User Time
Recent breakage: apache-1.3.9 + mod_perl-1.21 (APXS) sheldonh at uunet Oct 26, 1999, 7:11 AM

  Index | Next | Previous | View Flat
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.